Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.plugins.registry
Class AbstractKernelRegistryEntry

    java.lang.Object
      org.jboss.util.JBossObject
          org.jboss.kernel.plugins.registry.AbstractKernelRegistryEntry

All Implemented Interfaces:
  Cloneable, org.jboss.dependency.spi.ControllerContext, org.jboss.util.JBossInterface, KernelRegistryEntry

public class AbstractKernelRegistryEntry
extends org.jboss.util.JBossObject
implements KernelRegistryEntry

Abstract Kernel registry entry.

Version:
  $Revision: 1.7 $
Author:
  Adrian Brock

Field Summary
`protected Object` | `name` The name
`protected Object` | `target` The target

Fields inherited from class org.jboss.util.JBossObject
`hashCode, log, toString`

Constructor Summary
`AbstractKernelRegistryEntry(Object target)` Create an abstract kernel registry entry
`AbstractKernelRegistryEntry(Object name, Object target)` Create an abstract kernel registry entry

Method Summary
`org.jboss.dependency.spi.Controller` | `getController()`
`org.jboss.dependency.spi.DependencyInfo` | `getDependencyInfo()`
`Throwable` | `getError()`
`org.jboss.dependency.spi.ControllerMode` | `getMode()`
`Object` | `getName()` Get the name
`org.jboss.dependency.spi.ControllerState` | `getRequiredState()`
`org.jboss.dependency.spi.ControllerState` | `getState()`
`Object` | `getTarget()` Get any target
`void` | `install(org.jboss.dependency.spi.ControllerState fromState, org.jboss.dependency.spi.ControllerState toState)`
`void` | `setController(org.jboss.dependency.spi.Controller controller)`
`void` | `setError(Throwable error)`
`void` | `setMode(org.jboss.dependency.spi.ControllerMode mode)`
`void` | `setName(Object name)` Set the name
`void` | `setRequiredState(org.jboss.dependency.spi.ControllerState state)`
`void` | `toShortString(org.jboss.util.JBossStringBuilder buffer)`
`void` | `toString(org.jboss.util.JBossStringBuilder buffer)`
`void` | `uninstall(org.jboss.dependency.spi.ControllerState fromState, org.jboss.dependency.spi.ControllerState toState)`

Methods inherited from class org.jboss.util.JBossObject
`cacheGetHashCode, cacheToString, clone, equals, flushJBossObjectCache, getClassShortName, getHashCode, hashCode, list, notEqual, toShortString, toString, toStringImplementation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.util.JBossInterface
`clone, toShortString`

Field Detail

### name

    protected Object name

  The name

### target

    protected Object target

  The target

Constructor Detail

### AbstractKernelRegistryEntry

    public AbstractKernelRegistryEntry(Object target)

  Create an abstract kernel registry entry

Parameters:
  `target` - any target object

### AbstractKernelRegistryEntry

    public AbstractKernelRegistryEntry(Object name,
                                       Object target)

  Create an abstract kernel registry entry

Parameters:
  `name` - the name
  `target` - any target object

Method Detail

### getName

    public Object getName()

  Description copied from interface: `KernelRegistryEntry`
  Get the name

  Specified by:
    `getName` in interface `KernelRegistryEntry`
  Returns:
    the name

### setName

    public void setName(Object name)

  Description copied from interface: `KernelRegistryEntry`
  Set the name

  Specified by:
    `setName` in interface `KernelRegistryEntry`
  Parameters:
    `name` - the name

### getTarget

    public Object getTarget()

  Description copied from interface: `KernelRegistryEntry`
  Get any target

  Specified by:
    `getTarget` in interface `KernelRegistryEntry`
  Returns:
    the target

### getController

    public org.jboss.dependency.spi.Controller getController()

  Specified by:
    `getController` in interface `org.jboss.dependency.spi.ControllerContext`

### getDependencyInfo

    public org.jboss.dependency.spi.DependencyInfo getDependencyInfo()

  Specified by:
    `getDependencyInfo` in interface `org.jboss.dependency.spi.ControllerContext`

### getError

    public Throwable getError()

  Specified by:
    `getError` in interface `org.jboss.dependency.spi.ControllerContext`

### getState

    public org.jboss.dependency.spi.ControllerState getState()

  Specified by:
    `getState` in interface `org.jboss.dependency.spi.ControllerContext`

### getRequiredState

    public org.jboss.dependency.spi.ControllerState getRequiredState()

  Specified by:
    `getRequiredState` in interface `org.jboss.dependency.spi.ControllerContext`

### setRequiredState

    public void setRequiredState(org.jboss.dependency.spi.ControllerState state)

  Specified by:
    `setRequiredState` in interface `org.jboss.dependency.spi.ControllerContext`

### getMode

    public org.jboss.dependency.spi.ControllerMode getMode()

  Specified by:
    `getMode` in interface `org.jboss.dependency.spi.ControllerContext`

### setMode

    public void setMode(org.jboss.dependency.spi.ControllerMode mode)

  Specified by:
    `setMode` in interface `org.jboss.dependency.spi.ControllerContext`

### install

    public void install(org.jboss.dependency.spi.ControllerState fromState,
                        org.jboss.dependency.spi.ControllerState toState)
                 throws Throwable

  Specified by:
    `install` in interface `org.jboss.dependency.spi.ControllerContext`
  Throws:
    `Throwable`

### setController

    public void setController(org.jboss.dependency.spi.Controller controller)

  Specified by:
    `setController` in interface `org.jboss.dependency.spi.ControllerContext`

### setError

    public void setError(Throwable error)

  Specified by:
    `setError` in interface `org.jboss.dependency.spi.ControllerContext`

### uninstall

    public void uninstall(org.jboss.dependency.spi.ControllerState fromState,
                          org.jboss.dependency.spi.ControllerState toState)

  Specified by:
    `uninstall` in interface `org.jboss.dependency.spi.ControllerContext`

### toString

    public void toString(org.jboss.util.JBossStringBuilder buffer)

### toShortString

    public void toShortString(org.jboss.util.JBossStringBuilder buffer)

  Specified by:
    `toShortString` in interface `org.jboss.util.JBossInterface`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.